import request from '@/utils/request'
import Request from '@/utils/requestOther'
const instance = new Request()
const instance2 = new Request('/core')
// 服务列表/api/v1/service 1和2是一套，拿到1的id请求2的接口，两套数据进行整合。
export function listService(query) {
  return request({
    url: '/api/v1/service',
    method: 'get',
    params: query
  })
}

// 2./api/v1/service/stats 服务统计数据：针对服务列表补充的统计数据，用于加快服务列表响应速度
export function listServiceStats(query) {
  return request({
    url: '/api/v1/service/stats',
    method: 'get',
    params: query
  })
}
// 数字视图/api/v1/service/digits
export function digitsService(query) {
  return request({
    url: '/api/v1/service/digits',
    method: 'get',
    params: query
  })
}

// 4. SPAN列表  同可观测平台4.8接口一致 /api/v1/service/spans
export function serviceSpans(query) {
  return request({
    url: '/api/v1/service/spans',
    method: 'get',
    params: query
  })
}

// 更新服务信息 /api/v1/service/{service_id}   put
export function updateService(data, id) {
  return request({
    url: '/api/v1/service/' + id,
    method: 'put',
    data: data
  })
}

// 创建服务信息  /api/v1/service  post
export function addService(data) {
  return request({
    url: '/api/v1/service',
    method: 'post',
    data: data
  })
}

// 活跃度 /api/v1/service/compare/liveness
export function serviceCompare(query) {
  return request({
    url: '/api/v1/service/compare/liveness',
    method: 'get',
    params: query
  })
}
// 错误率
export function serviceErrors(query) {
  return request({
    url: '/api/v1/service/compare/errors',
    method: 'get',
    params: query
  })
}

// 8. 服务列表柱状视图
export function serviceBar(query, app_alias) {
  return request({
    url: `/api/v1/apps_score/${app_alias}/svrs`,
    method: 'get',
    params: query
  })
}
// 9. 接口解析-接口映射RED相关图表
export function getChartData(data) {
  const url = `/api/v1/url-mapping/chart`
  return instance.get(url, data)
}
// 10. 接口解析--服务列表
export function fatchServiceList(data) {
  const url = `/v1/service/simple-list`
  return instance2.get(url, data)
}
